Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.sandesha2.storage.beans
Class RMSequenceBean

    java.lang.Object
      org.apache.sandesha2.storage.beans.RMBean
          org.apache.sandesha2.storage.beans.RMSequenceBean

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  RMDBean, RMSBean

public class RMSequenceBean
extends RMBean

This bean is used at the receiving side (of both server and client) There is one entry for each sequence.

See Also:
  Serialized Form

Constructor Summary
`RMSequenceBean()`
`RMSequenceBean(RMSequenceBean beanToCopy)` Constructor that copies all RMSBean values from the RMSBean supplied
`RMSequenceBean(java.lang.String sequenceID)`

Method Summary
`java.lang.String` | `getAcksToEPR()`
`int` | `getFlags()`
`long` | `getLastActivatedTime()`
`java.lang.String` | `getReplyToEPR()`
`java.lang.String` | `getRMVersion()`
`java.lang.String` | `getSecurityTokenData()`
`java.lang.String` | `getSequenceID()`
`java.lang.String` | `getServiceName()`
`java.lang.String` | `getToEPR()`
`boolean` | `isClosed()`
`boolean` | `isPollingMode()`
`boolean` | `isReplayModel()` Tells whether or not this sequence belong to the replay Model.
`boolean` | `isTerminated()`
`boolean` | `match(RMBean matchInfo)` Check to see if this bean matches the match criteria passed in as matchInfo.
`void` | `setAcksToEPR(java.lang.String acksToEPR)`
`void` | `setClosed(boolean closed)`
`void` | `setFlags(int flags)`
`void` | `setLastActivatedTime(long lastActivatedTime)`
`void` | `setPollingMode(boolean pollingMode)`
`void` | `setReplayModel(boolean replayModel)`
`void` | `setReplyToEPR(java.lang.String replyToEPR)`
`void` | `setRMVersion(java.lang.String version)`
`void` | `setSecurityTokenData(java.lang.String securityTokenData)`
`void` | `setSequenceID(java.lang.String sequenceID)`
`void` | `setServiceName(java.lang.String serviceName)`
`void` | `setTerminated(boolean terminated)`
`void` | `setToEPR(java.lang.String toEPR)`
`java.lang.String` | `toString()`

Methods inherited from class org.apache.sandesha2.storage.beans.RMBean
`getId, getTransaction, setId, setTransaction`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RMSequenceBean

    public RMSequenceBean()

### RMSequenceBean

    public RMSequenceBean(RMSequenceBean beanToCopy)

  Constructor that copies all RMSBean values from the RMSBean supplied

Parameters:
  `beanToCopy` -

### RMSequenceBean

    public RMSequenceBean(java.lang.String sequenceID)

Method Detail

### getSequenceID

    public java.lang.String getSequenceID()

  Returns:
    Returns the sequenceId.

### setSequenceID

    public void setSequenceID(java.lang.String sequenceID)

### getAcksToEPR

    public java.lang.String getAcksToEPR()

### setAcksToEPR

    public void setAcksToEPR(java.lang.String acksToEPR)

### getReplyToEPR

    public java.lang.String getReplyToEPR()

### setReplyToEPR

    public void setReplyToEPR(java.lang.String replyToEPR)

### getToEPR

    public java.lang.String getToEPR()

### setToEPR

    public void setToEPR(java.lang.String toEPR)

### isPollingMode

    public boolean isPollingMode()

### setPollingMode

    public void setPollingMode(boolean pollingMode)

### isClosed

    public boolean isClosed()

### setClosed

    public void setClosed(boolean closed)

### isTerminated

    public boolean isTerminated()

### setTerminated

    public void setTerminated(boolean terminated)

### getLastActivatedTime

    public long getLastActivatedTime()

### setLastActivatedTime

    public void setLastActivatedTime(long lastActivatedTime)

### getRMVersion

    public java.lang.String getRMVersion()

### setRMVersion

    public void setRMVersion(java.lang.String version)

### getSecurityTokenData

    public java.lang.String getSecurityTokenData()

### setSecurityTokenData

    public void setSecurityTokenData(java.lang.String securityTokenData)

### getServiceName

    public java.lang.String getServiceName()

### setServiceName

    public void setServiceName(java.lang.String serviceName)

### isReplayModel

    public boolean isReplayModel()

  Tells whether or not this sequence belong to the replay Model. For a sequence to be in the replay model, 1. RM version should be1.0 2. Outbound sequence should have been offered. 3. ReplyTo of the inbound sequence should be anonymous.

### setReplayModel

    public void setReplayModel(boolean replayModel)

### getFlags

    public int getFlags()

### setFlags

    public void setFlags(int flags)

### toString

    public java.lang.String toString()

### match

    public boolean match(RMBean matchInfo)

  Description copied from class: `RMBean`
  Check to see if this bean matches the match criteria passed in as matchInfo. In order for a property of the bean to be checked you must set the property on the matchInfo.

  Specified by:
    `match` in class `RMBean`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Apache Web Services Project. All Rights Reserved.